php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #2870 1. 'dynamic loading ... ' include files // 2. libzend configuration
Submitted: 1999-11-30 15:23 UTC Modified: 2000-04-08 00:38 UTC
From: woba at altavista dot net Assigned:
Status: Closed Package: Compile Failure
PHP Version: 4.0 Beta 3 OS: AIX 4.2
Private report: No CVE-ID: None
 [1999-11-30 15:23 UTC] woba at altavista dot net
1. ----------------------------------
>> ./configure --with-mysql=/opt/mysql --with-apache=../apache_1.3.9  --enable-track-vars


fire1:/opt/i/php-4.0b3# make
        make  all-recursive
Making all in libzend
Target "all" is up to date.
Making all in ext
Making all in apache
        /bin/sh ../../libtool --silent --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../../li
bzend -I../.. -I../../libzend -I/opt/i/apache_1.3.9/src/include -I/opt/i/apache_1.3.9/src/os/unix
-I/opt/mysql/include      -O2 -g -O2 -c -o apache.lo apache.c
In file included from /opt/i/apache_1.3.9/src/include/ap_config.h:115,
                 from ../../php.h:179,
                 from apache.c:22:
/opt/i/apache_1.3.9/src/os/unix/os.h:119: conflicting types for `dlerror'
/usr/include/dlfcn.h:35: previous declaration of `dlerror'
make: 1254-004 The error code from the last command is 1.

2.----------------------------------------------
although './configure ... ' form install-root runs in ./libzend too, './configure' has to executed again in the libzend directory to generate 'zend_config.h' from 'zend_config.h.in' 
 
with compliments woba

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-04-08 00:38 UTC] joey at cvs dot php dot net
Old bug...libzend no longer exists
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Oct 19 22:03:37 2021 UTC